package NGCP::Schema::kamailio::Result::location;
use Sipwise::Base;
use MooseX::NonMoose;
our $VERSION = '1.001';

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE



extends 'DBIx::Class::Core';


__PACKAGE__->table("location");


__PACKAGE__->add_columns(
  "id",
  {
    data_type => "integer",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "username",
  { data_type => "varchar", default_value => "", is_nullable => 0, size => 64 },
  "domain",
  { data_type => "varchar", is_nullable => 1, size => 64 },
  "contact",
  { data_type => "varchar", default_value => "", is_nullable => 0, size => 255 },
  "received",
  { data_type => "varchar", is_nullable => 1, size => 128 },
  "path",
  { data_type => "varchar", is_nullable => 1, size => 128 },
  "expires",
  {
    data_type => "datetime",
    datetime_undef_if_invalid => 1,
    default_value => "2020-05-28 21:32:15",
    is_nullable => 0,
  },
  "q",
  {
    data_type => "float",
    default_value => "1.00",
    is_nullable => 0,
    size => [10, 2],
  },
  "callid",
  {
    data_type => "varchar",
    default_value => "Default-Call-ID",
    is_nullable => 0,
    size => 255,
  },
  "cseq",
  { data_type => "integer", default_value => 13, is_nullable => 0 },
  "last_modified",
  {
    data_type => "datetime",
    datetime_undef_if_invalid => 1,
    default_value => "1900-01-01 00:00:01",
    is_nullable => 0,
  },
  "flags",
  { data_type => "integer", default_value => 0, is_nullable => 0 },
  "cflags",
  { data_type => "integer", default_value => 0, is_nullable => 0 },
  "user_agent",
  { data_type => "varchar", default_value => "", is_nullable => 0, size => 255 },
  "socket",
  { data_type => "varchar", is_nullable => 1, size => 64 },
  "methods",
  { data_type => "integer", is_nullable => 1 },
  "ruid",
  { data_type => "varchar", default_value => "", is_nullable => 0, size => 64 },
  "reg_id",
  { data_type => "integer", default_value => 0, is_nullable => 0 },
  "instance",
  { data_type => "varchar", is_nullable => 1, size => 255 },
);


__PACKAGE__->set_primary_key("id");
=encoding UTF-8

=head1 NAME

NGCP::Schema::kamailio::Result::location

=head1 TABLE: C<location>

=head1 ACCESSORS

=head2 id

  data_type: 'integer'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 username

  data_type: 'varchar'
  default_value: (empty string)
  is_nullable: 0
  size: 64

=head2 domain

  data_type: 'varchar'
  is_nullable: 1
  size: 64

=head2 contact

  data_type: 'varchar'
  default_value: (empty string)
  is_nullable: 0
  size: 255

=head2 received

  data_type: 'varchar'
  is_nullable: 1
  size: 128

=head2 path

  data_type: 'varchar'
  is_nullable: 1
  size: 128

=head2 expires

  data_type: 'datetime'
  datetime_undef_if_invalid: 1
  default_value: '2020-05-28 21:32:15'
  is_nullable: 0

=head2 q

  data_type: 'float'
  default_value: 1.00
  is_nullable: 0
  size: [10,2]

=head2 callid

  data_type: 'varchar'
  default_value: 'Default-Call-ID'
  is_nullable: 0
  size: 255

=head2 cseq

  data_type: 'integer'
  default_value: 13
  is_nullable: 0

=head2 last_modified

  data_type: 'datetime'
  datetime_undef_if_invalid: 1
  default_value: '1900-01-01 00:00:01'
  is_nullable: 0

=head2 flags

  data_type: 'integer'
  default_value: 0
  is_nullable: 0

=head2 cflags

  data_type: 'integer'
  default_value: 0
  is_nullable: 0

=head2 user_agent

  data_type: 'varchar'
  default_value: (empty string)
  is_nullable: 0
  size: 255

=head2 socket

  data_type: 'varchar'
  is_nullable: 1
  size: 64

=head2 methods

  data_type: 'integer'
  is_nullable: 1

=head2 ruid

  data_type: 'varchar'
  default_value: (empty string)
  is_nullable: 0
  size: 64

=head2 reg_id

  data_type: 'integer'
  default_value: 0
  is_nullable: 0

=head2 instance

  data_type: 'varchar'
  is_nullable: 1
  size: 255

=head1 PRIMARY KEY

=over 4

=item * L</id>

=back

=cut


# Created by DBIx::Class::Schema::Loader v0.07035 @ 2013-04-09 12:33:57
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:e5LTgkNP8CpScaGr8oMVOg


# You can replace this text with custom code or comments, and it will be preserved on regeneration
__PACKAGE__->meta->make_immutable;
1;
