package NGCP::Schema::provisioning::Result::voip_allowed_ip_groups;
use Sipwise::Base;
use MooseX::NonMoose;
our $VERSION = '1.001';

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE



extends 'DBIx::Class::Core';


__PACKAGE__->table("voip_allowed_ip_groups");


__PACKAGE__->add_columns(
  "id",
  {
    data_type => "integer",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "group_id",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 0 },
  "ipnet",
  { data_type => "varchar", is_nullable => 0, size => 18 },
);


__PACKAGE__->set_primary_key("id");


__PACKAGE__->add_unique_constraint("groupnet_idx", ["group_id", "ipnet"]);
=encoding UTF-8

=head1 NAME

NGCP::Schema::provisioning::Result::voip_allowed_ip_groups

=head1 TABLE: C<voip_allowed_ip_groups>

=head1 ACCESSORS

=head2 id

  data_type: 'integer'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 group_id

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 ipnet

  data_type: 'varchar'
  is_nullable: 0
  size: 18

=head1 PRIMARY KEY

=over 4

=item * L</id>

=back

=head1 UNIQUE CONSTRAINTS

=head2 C<groupnet_idx>

=over 4

=item * L</group_id>

=item * L</ipnet>

=back

=cut


# Created by DBIx::Class::Schema::Loader v0.07035 @ 2013-04-09 12:34:07
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:x0X3sb59k+Ww/pLKlufO9g


# You can replace this text with custom code or comments, and it will be preserved on regeneration
__PACKAGE__->meta->make_immutable;
1;
